/* fonts poppins */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@500&display=swap");
:root {
  --common-color: #562eff;
}
body {
  margin: 0;
  font-family: "Poppins", sans-serif;
  background-color: #f3f1ff;
  margin: 0;
  padding: 0;
}
main {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.container {
  background-color: white;
  width: 870px;
  padding: 30px;
  margin-top: 20px;
  border-radius: 10px;
}
.container h2 {
  margin-left: 10px;
  color: #562eff;
}
.players {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-row-gap: 30px;
}
.player {
  display: flex;
  align-items: center;
}
.player img {
  width: 56px;
}
.player h3 {
  margin-left: 16px;
  font-size: 18px;
}
.container h2 {
  margin-top: 1px;
}
hr {
  border: 1px solid #ddd;
  margin-top: 30px;
  margin-bottom: 30px;
}
.thumbail img {
  width: 177px;
}
.blogs {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-row-gap: 26px;
}
.blog {
  display: flex;
}
.blog-info {
  margin-left: 16px;
}
.blog-info h3 {
  font-size: 20px;
  width: 191px;
}
.blog-info p {
  color: gray;
  font-size: 16px;
}
.blog-info a {
  text-decoration: none;
  color: var(--common-color);
}
.course img {
  width: 224px;
  height: 104px;
}
#star-rat {
  width: 11px;
  height: 13px;
}
#clock {
  width: 19px;
  height: 17px;
  margin-top: 24px;
}
.time {
  background-color: #ffe4e8;
  padding: 10px;
  border-radius: 23px;
}
.courses {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  justify-content: space-between;
  grid-gap: 20px;
}
.course {
  box-shadow: 1px 5px 13px 7px #ddd;
  padding: 24px;
  border-radius: 10px !important;
}
.course-info h3 {
  width: 222px;
}
.fas {
  color: #ffc014;
  font-size: 12px;
}
.fas:hover {
  color: #ed6b4f;
}
.course-author {
  color: #ed6b4f;
}
.fad {
  color: #eaeaea;
}
.fa-clock {
  background-color: #ffe4e8;
  padding: 6px;
  border-radius: 24px;
  color: #ed6b4f;
  margin-left: 10px;
}
/* media query effect */
/* mobile device */
@media only screen and (max-width: 688px) {
  main {
    width: 100%;
    justify-content: center;
    align-items: center;
  }
  .thumbail img {
    width: 140px;
    margin-top: 22px;
  }

  .container {
    width: 100%;
  }
  .players {
    grid-template-columns: repeat(1, 1fr);
  }
  .player {
    justify-content: center;
    align-items: center;
  }

  .blogs {
    grid-template-columns: repeat(1, 1fr);
    display: flex;
    flex-direction: column;
    align-content: stretch;
    flex-wrap: wrap;
    align-items: flex-end;
  }
  .courses {
    grid-template-columns: repeat(1, 1fr);
  }
  .course-banner {
    margin-left: 40px;
  }
  .course-info {
    margin-left: 40px;
  }
}

/* tablet devices */
@media only screen and (min-width: 688px) and (max-width: 992px) {
  main {
    width: 100%;
    justify-content: center;
    align-items: center;
  }
  .container {
    width: 100%;
  }
  .players {
    grid-template-columns: repeat(2, 1fr);
  }
  .player {
    justify-content: center;
  }
  .blog {
    display: flex;
    align-items: flex-end;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: space-evenly;
    align-content: stretch;
    width: 307px;
  }
  .courses {
    grid-template-columns: repeat(2, 1fr);
  }
}
